Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only. On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live. Read our full announcement for more information and let us know if you have any questions.

Resolved App not installed as a package appears to be invalid on Android 13

Discussion in 'Android' started by ilya369, Apr 6, 2024.

  1. ilya369

    ilya369

    Joined:
    Feb 21, 2022
    Posts:
    9
    I am using Unity 2021.3.6f1
    I have built the application with different target API levels (level 27, level 30, level 34), minimum API 22, and all these versions work on my Android 9.
    However, when I share the file via Google Drive with a friend, he gets an error 'App not installed as a package appears to be invalid'.
    He is using Android 13, and none of the builds worked for him. He said he deleted all previous APKs and the app itself, but it didn't help install the new version.
    Also, in all the builds mentioned above, I used a new Project Keystore because I lost the old one.
    I can provide additional screenshots from Unity if needed. Thank you!

    (On the screenshot, the error is translated from another language, so the wording may vary)
     

    Attached Files:

  2. ilya369

    ilya369

    Joined:
    Feb 21, 2022
    Posts:
    9
    Okay, I've created a new project and built it using API 34. Everything worked fine, and I've set the remaining settings the same as in the original project. Now I have no idea what could be causing the error
     
  3. ilya369

    ilya369

    Joined:
    Feb 21, 2022
    Posts:
    9
    Updating Unity to 2022.3.21f1 solved the problem